# kcprotodb.h File Reference

prototype database More...

`#include <kccommon.h>`
`#include <kcutil.h>`
`#include <kcdb.h>`
`#include <kcthread.h>`
`#include <kcfile.h>`
`#include <kccompress.h>`
`#include <kccompare.h>`
`#include <kcmap.h>`

## Classes

class | kyotocabinet::ProtoDB< STRMAP >
| Prototype implementation of file database with STL. More...
class | kyotocabinet::ProtoDB< STRMAP >::Cursor
| Cursor to indicate a record. More...
struct | kyotocabinet::ProtoDB< STRMAP >::TranLog
| Transaction log.

## Namespaces

namespace | kyotocabinet

| Helper functions.

## Typedefs

typedef ProtoDB< StringHashMap > | kyotocabinet::ProtoHashDB
| An alias of the prototype hash database.
typedef ProtoDB< StringTreeMap > | kyotocabinet::ProtoTreeDB
| An alias of the prototype tree database.

## Detailed Description

prototype database